我正在尝试从eclipse中运行Android SDK中的nfc演示示例,但导入错误com.google无法解决。 我已经完整安装了Android 2.3.3(API 10)软件包,包括“ Google API”以及linux 64下的工具包

我按照以下步骤操作:

  • 1个新的Android项目
  • 2从现有样本创建项目
  • 3选择的构建目标:Android 2.3.3 API级别10
  • 选择了4个NFC演示
  • 5完成

将项目属性目标更改为Google API并不能解决问题。

怎么了?

提前致谢

===============>>#1 票数:2

您可能需要以下库:

http://code.google.com/p/guava-libraries/

我认为,我们计划将它们与SDK一起运送。 抱歉,SDK文档中未提及此问题。

===============>>#2 票数:1

您只需要添加“ guavalib.jar”。 您可以通过以下步骤做到这一点:右键单击项目NFCDemo-> Build Path-> configure build path-> libraries-> add external JARS->(浏览到)android sdk-> tools->选择“ guavalib.jar” 。 单击确定。 然后运行NFCDemo应用程序...。它准备就绪!

  ask by jj-aa translate from so

未解决问题?本站智能推荐: